Bug 117238 - can't find OS.inl after installing devel/ACE from ports
Summary: can't find OS.inl after installing devel/ACE from ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergey Matveychuk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-16 11:20 UTC by liguoqiang
Modified: 2007-11-13 08:50 UTC (History)
0 users

See Also:


Attachments
patch-port (2.44 KB, text/plain; charset=us-ascii)
2007-10-18 19:50 UTC, G. Paul Ziemba
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description liguoqiang 2007-10-16 11:20:01 UTC
When compiling ACE program, Can't find OS.inl

[lgq@pcbsd ~]$ g++ ace.C -I/usr/local/include -L/usr/local/lib -lACE -lpthread
In file included from ace.C:1:
/usr/local/include/ace/OS.h:317:25: ace/OS.inl: No such file or directory


This is the source code.

[lgq@pcbsd ~]$ cat ace.C
#include <ace/OS.h>

int main(void)
{
  ACE_OS::printf("Hello, this is ACE!\n");

  return 0;
}
Comment 1 Edwin Groothuis freebsd_committer 2007-10-17 14:40:57 UTC
State Changed
From-To: open->open

Nohitn gh nages
Comment 2 Edwin Groothuis freebsd_committer 2007-10-17 14:44:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 G. Paul Ziemba 2007-10-18 19:50:25 UTC
Coincidentally, I encountered the same problem just the other day.
Here is a patch for the port which should correct your problem (attached)

cheers,

 ~!paul

-- 
G. Paul Ziemba
FreeBSD unix:
11:46AM  up 28 days, 21:56, 13 users, load averages: 0.08, 0.22, 0.20
Comment 4 dfilter service freebsd_committer 2007-11-13 08:43:55 UTC
sem         2007-11-13 08:43:49 UTC

  FreeBSD ports repository

  Modified files:
    devel/ace            Makefile pkg-plist 
  Added files:
    devel/ace/files      patch-ace-Makefile.in 
  Log:
  - Install files that should present.
  
  PR:             ports/117238
  Submitted by:   liguoqiang <unixcc_at_126.com>
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.18      +1 -1      ports/devel/ace/Makefile
  1.1       +26 -0     ports/devel/ace/files/patch-ace-Makefile.in (new)
  1.5       +3 -0      ports/devel/ace/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Sergey Matveychuk freebsd_committer 2007-11-13 08:45:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!